## org.eclipse.datatools.sqltools.sqlbuilder.actions
Class SQLBuilderAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.sqltools.sqlbuilder.actions.SQLBuilderAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

Direct Known Subclasses:
  ChangeSetOperatorAction, ChangeStatementTypeAction, OmitCurrentSchemaAction, RevertToDefaultAction, RevertToPreviousAction

    public abstract class SQLBuilderAction

extends org.eclipse.jface.action.Action

This abstract class provides a base class for actions that need to associate themselves with the SQLBuilder.

Author:
  bpayton

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`SQLBuilderAction(java.lang.String label)` Constructs an instance of this class with the given action label text.

Method Summary
`org.eclipse.swt.widgets.Shell` `getShell()` Gets the display shell associated with this action.
`SQLBuilder` `getSQLBuilder()` Gets the SQLBuilder associated with this action.
`void` `setShell(org.eclipse.swt.widgets.Shell shell)` Sets the display shell associated with this action to the given shell.
`void` `setSQLBuilder(SQLBuilder sqlBuilder)` Sets the SQLBuilder associated with this action to the given SQLBuilder.

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### SQLBuilderAction

    public SQLBuilderAction(java.lang.String label)

  Constructs an instance of this class with the given action label text.

  Parameters:
    `label` - the label text for the action

Method Detail

### getSQLBuilder

    public SQLBuilder getSQLBuilder()

  Gets the SQLBuilder associated with this action.

  Returns:
    the active SQLBuilder

### getShell

    public org.eclipse.swt.widgets.Shell getShell()

  Gets the display shell associated with this action. The shell is used for displaying dialogs.

  Returns:
    the shell object for this action

### setSQLBuilder

    public void setSQLBuilder(SQLBuilder sqlBuilder)

  Sets the SQLBuilder associated with this action to the given SQLBuilder.

  Parameters:
    `sqlBuilder` - the SQLBuilder to set

### setShell

    public void setShell(org.eclipse.swt.widgets.Shell shell)

  Sets the display shell associated with this action to the given shell. The shell is used for displaying dialogs.

  Parameters:
    `shell` - the display shell to set